Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class IcapCodecUtil

    java.lang.Object
      ch.mimo.netty.handler.codec.icap.IcapCodecUtil

    public final class IcapCodecUtil

extends Object

This Codec class provides all required special characters such as space and linefeed. It also provides validation methods for icap header name and value validation.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Field Summary
`static Charset` | `ASCII_CHARSET`
`static byte` | `COLON` Colon ':'
`static byte` | `CR` Carriage return
`static byte[]` | `CRLF` carriage return line feed
`static String` | `ENCAPSULATION_ELEMENT_NULLBODY`
`static String` | `ENCAPSULATION_ELEMENT_OPTBODY`
`static String` | `ENCAPSULATION_ELEMENT_REQBODY`
`static String` | `ENCAPSULATION_ELEMENT_REQHDR`
`static String` | `ENCAPSULATION_ELEMENT_RESBODY`
`static String` | `ENCAPSULATION_ELEMENT_RESHDR`
`static Byte[]` | `IEOF_SEQUENCE` Preview early termination sequence 0; ieof
`static String` | `IEOF_SEQUENCE_STRING`
`static byte` | `LF` Line feed character
`static byte[]` | `NATIVE_IEOF_SEQUENCE`
`static byte` | `SPACE` Space

Method Summary
`static void` | `validateHeaderName(String name)` Valiation method for Icap header names.
`static void` | `validateHeaderValue(String value)` Validation method for Icap header values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IEOF_SEQUENCE

    public static final Byte[] IEOF_SEQUENCE

  Preview early termination sequence 0; ieof

### NATIVE_IEOF_SEQUENCE

    public static final byte[] NATIVE_IEOF_SEQUENCE

### IEOF_SEQUENCE_STRING

    public static final String IEOF_SEQUENCE_STRING

See Also:
  Constant Field Values

### SPACE

    public static final byte SPACE

  Space

  See Also:
    Constant Field Values

### CR

    public static final byte CR

  Carriage return

  See Also:
    Constant Field Values

### LF

    public static final byte LF

  Line feed character

  See Also:
    Constant Field Values

### CRLF

    public static final byte[] CRLF

  carriage return line feed

### COLON

    public static final byte COLON

  Colon ':'

  See Also:
    Constant Field Values

### ASCII_CHARSET

    public static final Charset ASCII_CHARSET

### ENCAPSULATION_ELEMENT_REQHDR

    public static final String ENCAPSULATION_ELEMENT_REQHDR

See Also:
  Constant Field Values

### ENCAPSULATION_ELEMENT_RESHDR

    public static final String ENCAPSULATION_ELEMENT_RESHDR

See Also:
  Constant Field Values

### ENCAPSULATION_ELEMENT_REQBODY

    public static final String ENCAPSULATION_ELEMENT_REQBODY

See Also:
  Constant Field Values

### ENCAPSULATION_ELEMENT_RESBODY

    public static final String ENCAPSULATION_ELEMENT_RESBODY

See Also:
  Constant Field Values

### ENCAPSULATION_ELEMENT_OPTBODY

    public static final String ENCAPSULATION_ELEMENT_OPTBODY

See Also:
  Constant Field Values

### ENCAPSULATION_ELEMENT_NULLBODY

    public static final String ENCAPSULATION_ELEMENT_NULLBODY

See Also:
  Constant Field Values

Method Detail

### validateHeaderName

    public static void validateHeaderName(String name)

  Valiation method for Icap header names.

  Parameters:
    `name` - to be validated

### validateHeaderValue

    public static void validateHeaderValue(String value)

  Validation method for Icap header values

  Parameters:
    `value` - to be validated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.